Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.ast
Class ExprVisitor.DepthFirst

    java.lang.Object
      avrora.core.isdl.ast.ExprVisitor.DepthFirst

All Implemented Interfaces:
  ExprVisitor

Enclosing class:
  ExprVisitor

public static class ExprVisitor.DepthFirst
extends java.lang.Object
implements ExprVisitor

The `DepthFirst` class is a base implementation of the `ExprVisitor` interface that visits the tree in depth-first order.

Nested Class Summary

Nested classes inherited from class avrora.core.isdl.ast.ExprVisitor
`ExprVisitor.DepthFirst`

Constructor Summary
`ExprVisitor.DepthFirst()`

Method Summary
`void` | `visit(Arith.BinOp e)`
`void` | `visit(Arith.UnOp e)`
`void` | `visit(BitExpr e)`
`void` | `visit(BitRangeExpr e)`
`void` | `visit(CallExpr e)`
`void` | `visit(ConversionExpr e)`
`void` | `visit(Literal e)`
`void` | `visit(Logical.BinOp e)`
`void` | `visit(Logical.UnOp e)`
`void` | `visit(MapExpr e)`
`void` | `visit(VarExpr e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExprVisitor.DepthFirst

    public ExprVisitor.DepthFirst()

Method Detail

### visit

    public void visit(Arith.BinOp e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(Arith.UnOp e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(BitExpr e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(BitRangeExpr e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(CallExpr e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(ConversionExpr e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(Literal e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(Logical.BinOp e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(Logical.UnOp e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(MapExpr e)

  Specified by:
    `visit` in interface `ExprVisitor`

### visit

    public void visit(VarExpr e)

  Specified by:
    `visit` in interface `ExprVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD